> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/analyticshelper.md).

# AnalyticsHelper

public class AnalyticsHelper extends Object

↳ package com.onekosmos.blockid.sdk.analytics.AnalyticsHelper

***

Use the AnalyticsHelper class to report events.

### Method Summary

| Modifier | Method                                                                                                          | Description                                                                       |
| -------- | --------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------- |
| static   | getInstance()                                                                                                   | Returns an instance of AnalyticsHelper.                                           |
| void     | `logAppEvent(@NonNull String eventName, @NonNull BIDTenant tenant, LinkedHashMap<String, Object> eventHashMap)` | Logs an event for a specified tenant, using the provided event data in a hashmap. |

### Method Details

| Method Name | Method Signature                                                                                                            | Description                                                                       |
| ----------- | --------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------- |
| getInstance | public static AnalyticsHelper getInstance()                                                                                 | Returns an instance of AnalyticsHelper.                                           |
| logAppEvent | `public void logAppEvent(@NonNull String eventName, @NonNull BIDTenant tenant, LinkedHashMap<String, Object> eventHashMap)` | Logs an event for a specified tenant, using the provided event data in a hashmap. |

### Description

| Parameter    | Type                           | Description                                        |
| ------------ | ------------------------------ | -------------------------------------------------- |
| eventName    | string                         | Event name                                         |
| tenant       | BIDTenant                      | Tenant object against which the event is reported. |
| eventHashMap | LinkedHashMap\<String, Object> | Contains event data that needs to be reported.     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/analyticshelper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
